using System;

internal sealed class Delegate782 : MulticastDelegate
{
	public extern long Invoke(ref DateTime dateTime_0);

	public static long smethod_0(ref DateTime dateTime_0, Delegate782 delegate782_1)
	{
		return delegate782_1(ref dateTime_0);
	}

	public extern Delegate782(object object_0, IntPtr intptr_0);

	static Delegate782()
	{
		Class10.smethod_13(typeof(Delegate782).TypeHandle);
	}

	internal static Delegate782 delegate782_0;
}
